Package org.eclipse.cdt.core.settings.model

## Class CExternalSetting

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.CExternalSetting

All Implemented Interfaces:
  `ICExternalSetting`

    public final class CExternalSetting
    extends Object
    implements ICExternalSetting

### Constructor Summary

Constructors
`CExternalSetting​(String[] languageIDs, String[] contentTypeIds, String[] extensions, ICSettingEntry[] entries)`
`CExternalSetting​(ICExternalSetting base)`
`CExternalSetting​(ICExternalSetting base, ICSettingEntry[] entries)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getCompatibleContentTypeIds()`
`String[]` `getCompatibleExtensions()`
`String[]` `getCompatibleLanguageIds()`
`ICSettingEntry[]` `getEntries()`
`ICSettingEntry[]` `getEntries​(int kind)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CExternalSetting

    public CExternalSetting​(ICExternalSetting base)

#### CExternalSetting

    public CExternalSetting​(ICExternalSetting base,
                            ICSettingEntry[] entries)

#### CExternalSetting

    public CExternalSetting​(String[] languageIDs,
                            String[] contentTypeIds,
                            String[] extensions,
                            ICSettingEntry[] entries)

### Method Detail

#### getCompatibleContentTypeIds

    public String[] getCompatibleContentTypeIds()

Specified by:
  `getCompatibleContentTypeIds` in interface `ICExternalSetting`

#### getCompatibleExtensions

    public String[] getCompatibleExtensions()

Specified by:
  `getCompatibleExtensions` in interface `ICExternalSetting`

#### getCompatibleLanguageIds

    public String[] getCompatibleLanguageIds()

Specified by:
  `getCompatibleLanguageIds` in interface `ICExternalSetting`

#### getEntries

    public ICSettingEntry[] getEntries​(int kind)

Specified by:
  `getEntries` in interface `ICExternalSetting`

#### getEntries

    public ICSettingEntry[] getEntries()

Specified by:
  `getEntries` in interface `ICExternalSetting`